Bug 187585 - gnome-mount incompatible with pam_ssh
gnome-mount incompatible with pam_ssh
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-04-01 05:24 EST by Daniel Roche
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Roche 2006-04-01 05:24:52 EST
Description of problem:

i use pam_ssh ( found in extra yum repository ) in order to have SSO in my
gnome session.
when i log into my system with my ssh keyphrase, gnome does not recognise my
peripheral, ( cd/dvd or usb key/disk ) and gnome-mount ( called with
drivemount_applet2 send me a popup with just "Cannot mount volume" message.

if try to run gnome-mount by hand :
/usr/bin/gnome-mount -v --no-ui --hal-udi
i just get the "gnome-mount 0.4" message and nothing is mounted.

if i use my real passwd in gdm  ( not using pam_ssh ) everything works !

Version-Release number of selected component (if applicable):

FC5 daily updated by yum :

How reproducible:

every time :

prerequisite :

install pam_ssh, create file /etc/pam.d/system-auth-ssh like this : 
# This file is auto-generated.
# User changes will be destroyed the next time authconfig is run.
auth        required      pam_env.so
auth        sufficient    pam_ssh.so
auth        sufficient    pam_unix.so nullok try_first_pass
auth        requisite     pam_succeed_if.so uid >= 500 quiet
auth        required      pam_deny.so

account     required      pam_unix.so
account     sufficient    pam_succeed_if.so uid < 500 quiet
account     required      pam_permit.so

password    requisite     pam_cracklib.so try_first_pass retry=3
password    sufficient    pam_unix.so md5 shadow nullok try_first_pass use_authtok
password    required      pam_deny.so

session     required      pam_limits.so
session     sufficient    pam_ssh.so
session     required      pam_unix.so

replace system-auth with system-auth-ssh in /etc/pam.d/gdm

you can now use your ssh passphrase in gdm, and you do not need to
type ssh-add in your session 

end of prerequisite !

Steps to Reproduce:
 log with your ssh passphrase in gdm
 ( root or simple user, it does not matter )
 isert a CD in the drive
Actual results:

nothing happend , the cd is not mounted, if you call gnome-mount 
you get a popup with "Cannot mount volume"

Expected results:

gnome should mount the CD.

Additional info:
Comment 1 Bug Zapper 2008-04-03 22:29:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:44:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.